BEEM - Android XMPP - Bug #563

Beem fails to authenticate using Android 5.0 Lollipop devices
12/19/2014 10:05 PM - Barbra Conner

Status: New Start date: 12/19/2014
Priority: Normal Due date:

Assignee: % Done: 0%
Category: XMPP Estimated time: 0.00 hour
Target version:

Affected version: 0.1.8 Locale:

Description

Tested on Nexus 4 and Nexus 10 devices.

Error says "Warning: Your settings are set to use a server proxy or a specific server hosthame. Unable to authenticate your
account. Please verify your credentials"

Is there any further development going on with BEEM as | see it's been more than a year since a new client has been released.

Thanks

History

#1 - 12/20/2014 09:51 PM - Frédéric Barthéléry
- Subject changed from BeemFails to authenticate using Android 5.0 Lollipop devices to Beem fails to authenticate using Android 5.0 Lollipop devices

- Priority changed from High to Normal

This seems to be a configuration issue. Check that your settings are correct specifically for the proxy and specific server configuration.
| have no problem to connect on Lollipop devices.

Regarding the development of Beem, unfortunattely we have less and less time to work on it so the development is stalled for now.

#2 - 03/02/2015 11:28 PM - Barbra Conner
Is it possible for Beem to support Old Style SSL connection vs Start TLS?

#3 - 03/02/2015 11:59 PM - Frédéric Barthéléry

You can have a look at issue #311 . But we definitelly won't support the old ssl connection method.

#4 - 09/22/2015 06:12 PM - Neil Carter

Greetings:

This is behaving in the exact same manner on my Motorola Droid Turbo. Since upgrading the OS to Lollipop 5.1, Beem will not authenticate (worked
fine with KitKat). It provides the exact same error message with every attempt: "Warning: Your settings are set to use a server proxy or a specific
server hostname. Unable to authenticate your account. Please verify your credentials"

There are no proxy servers involved. I've checked the specific server configuration loads of times, everything is very straightfoward, simple, and
correct. And my credentials are being entered correctly. Is there a network sniffer for Android that would allow us to monitor the connection to
observe the error?

It appears there's an encryption and/or certificate incompatibility involved between the Lollipop OS, Beem, and the Beehive server. It would appear
the Lollipop OS has eliminated the ability to use either a certain type of encryption or class of certificate, no longer acceptable from a security
standpoint.

Also, if | enable "Enable XMPP debug", where does the debug output go?

Please update and advise.

Thanks!

Neil

#5 - 09/23/2015 12:54 AM - Frédéric Barthéléry
http://176.31.245.170:3000/issues/311

When you enable "Enable XMPP debug" option, the output goes in the system logcat.
You can get it by running

adb logcat

in a terminal

#6 - 09/28/2015 08:34 PM - Neil Carter

Actually, regarding the XMPP Debug, | was asking about on my phone...

But what about the rest of the message, my other questions?

Thanks!

Neil

#7 - 10/03/2015 02:13 PM - Frédéric Barthéléry

You can use a software like wireshark to sniff the communication between your device and the server. But as the communication is probably
encrypted you will have to provide the encryption keys of the server. That's why | recommand running adb logcat to get the log on the device instead.

#8 - 10/04/2015 02:00 AM - Neil Carter

Well, as | don't have a clue how to do 'adb logcat', I'm going to have to pass. I'm a user, not a developer, sorry.

Any other suggestions? We've got thousands of users who can no longer use Beem because of the 5.1 Lollipop update.
Thanks!

Neil
